Bug 473565 - icedtea browser plugin crashes
icedtea browser plugin crashes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: java-1.6.0-openjdk (Show other bugs)
10
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Deepak Bhole
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On: 472953
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-29 06:48 EST by Thomas Meyer
Modified: 2009-12-18 02:01 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:01:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
icedtea debug output (196.82 KB, application/x-bzip)
2008-11-29 06:52 EST, Thomas Meyer
no flags Details
/tmp/java.stderr (290.78 KB, application/x-bzip)
2008-12-03 15:47 EST, Thomas Meyer
no flags Details
/tmp/java.stdout (90 bytes, text/plain)
2008-12-03 15:48 EST, Thomas Meyer
no flags Details
Screenshot after start of citrix jica client (39.25 KB, image/png)
2008-12-15 12:05 EST, Thomas Meyer
no flags Details
Screenshot after start of citrix jica client (82.80 KB, image/png)
2008-12-15 12:23 EST, Thomas Meyer
no flags Details

  None (edit)
Description Thomas Meyer 2008-11-29 06:48:24 EST
Description of problem:
I want to access my office pc via a remote access website, that uses a java applet to display the remote desktop.

icedtea plugin seems to crash

Version-Release number of selected component (if applicable):
$ yum info java-1.6.0-openjdk-plugin
Geladene Plugins: refresh-packagekit
Installierte Pakete
Name       : java-1.6.0-openjdk-plugin
Architektur : x86_64
Epoch      : 1
Version    : 1.6.0.0
Ausgabe    : 6.b12.fc10
Grösse     : 206 k
Repo       : installed
Zusammenfassung    : OpenJDK Web Browser Plugin
URL        : http://icedtea.classpath.org/
Lizenz     : GPLv2 with exceptions
Beschreibung:The OpenJDK web browser plugin.

How reproducible:
Always.

Steps to Reproduce:

Actual results:


Expected results:


Additional info:

See attached output with ICEDTEAPLUGIN_DEBUG=true set.
Comment 1 Thomas Meyer 2008-11-29 06:52:40 EST
Created attachment 325081 [details]
icedtea debug output
Comment 2 Thomas Meyer 2008-11-29 06:55:13 EST
I guess this is using the java client for citrix (jica).
Comment 3 Deepak Bhole 2008-11-29 12:21:51 EST
Does the browser crash as well?

Also, can you please attach the /tmp/java.std* files that are generated when ICEDTEAPLUGIN_DEBUG=true ?
Comment 4 Thomas Meyer 2008-12-03 15:46:38 EST
No (most times) browser doesn't crash.
Comment 5 Thomas Meyer 2008-12-03 15:47:52 EST
Created attachment 325595 [details]
/tmp/java.stderr
Comment 6 Thomas Meyer 2008-12-03 15:48:19 EST
Created attachment 325596 [details]
/tmp/java.stdout
Comment 7 Deepak Bhole 2008-12-12 15:54:18 EST
Thanks for the log. But it indicates a log from a proper shutdown. At what point are you seeing the crash?
Comment 8 Thomas Meyer 2008-12-15 12:04:17 EST
Maybe the plugin doesnt crash, but the embedded application doesn't work. See screenshot.
Comment 9 Thomas Meyer 2008-12-15 12:05:41 EST
Created attachment 326996 [details]
Screenshot after start of citrix jica client
Comment 10 Thomas Meyer 2008-12-15 12:23:45 EST
Created attachment 326998 [details]
Screenshot after start of citrix jica client
Comment 11 Thomas Meyer 2008-12-15 12:25:35 EST
Additionally on Mac OS X the java runtime ask me if I want to trust applet xyz (I answer "Yes"). I dont get this question at all on Fedora 10.
Comment 12 Deepak Bhole 2009-01-26 14:27:13 EST
Does the site you are trying to access use https?
Comment 13 Jonathan Rushdoony 2009-01-27 11:07:35 EST
I'm having a similar problem when using my office Citrix server with openjdk- plugin 1.6.0.0 with F10.  Yes, the site uses https.  After logging in, the Citrix server recognizes I'm using Java.  But when trying to start an application, the Java applet hangs.  So I'm unable to use any of the office applications.  This happens every time.  The browser itself doesn't crash, and I'm able to log out of the server without a problem.  Please let me know if I should file a separate bug, provide more information, etc.  Thank you.
Comment 14 Deepak Bhole 2009-01-27 11:25:33 EST
Thanks, but for the time being I can't think of any other info to request, as I am pretty sure this is a problem related to https at this point. An update should be hitting F10/Rawhide soon, and it gets rid of the https certificate problem, and should fix this bug. I will comment here as soon as the update is in testing.

A more detailed description of the problem is in Bug# 472953
Comment 15 Deepak Bhole 2009-02-24 15:11:00 EST
HTTPS issue is fixed in the current release. If the issue is still reproducible, feel free to re-open.
Comment 16 Thomas Meyer 2009-07-11 11:33:45 EDT
With Fedora 11 the applet still get's stuck. See https://bugzilla.redhat.com/show_bug.cgi?id=508982
Comment 17 Bug Zapper 2009-11-18 04:04:00 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 18 Bug Zapper 2009-12-18 02:01:48 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.